Subject: [pim] Clarification on draft-ietf-pim-drlb

From: Ben Wright <[email-masked]>
Date: Mon, 28 May 2012 09:26:43 +0000

Hi Yiqun Cai et al,

I'd like to clarify the behaviour as in draft-ietf-pim-drlb on networks comprising routers which support this draft and routers which do not.   Section s6.3 says:

"If a router on the LAN does not support this specification, the
   Assert modification described above will not take place, that is only
   the IP address of an Assert sender is used as the tie breaker."

Assuming I've understood correctly, I'd prefer the following:

"If any router on the LAN does not advertise an LBM TLV in its Hello messages (that is, does not support this specification), then the modified Assert tie-breaker described in this document MUST NOT be used to resolve asserts between nodes on that LAN.  The Assert tie-breaker specified in RFC4601 MUST be used instead."

I want to be clear that if two routers sending asserts on a LAN both support this specification, but another router does not, then new assert procedures should still not be used (otherwise the other router may send any Join messages for the asserted (S,G) flow to the assert loser, causing a continuation of the duplicate traffic being forwarded onto the LAN).

Thanks,

Ben